
package de.ivu.elect.business.gruppe.boundary;

import java.util.concurrent.ThreadLocalRandom;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.gruppe.entity.NlGruppeCustomData;
import de.ivu.elect.business.gruppe.entity.PolitischeGruppe;
import de.ivu.elect.jee.entity.customdata.DefaultCustomData;

@Specializes
public class NlPolitischeGruppeFactory extends CorePolitischeGruppeFactory {

  private static final long serialVersionUID = 1L;

  public NlPolitischeGruppeFactory() {
    super();
  }

  @Override
  public void initDefaultAttributes(PolitischeGruppe politischeGruppe) {
    super.initDefaultAttributes(politischeGruppe);

    politischeGruppe.setInPraesentation(true); // ELECT-9810
    politischeGruppe.setFarbe(String.format("%06x", ThreadLocalRandom.current().nextInt(0xffffff + 1))); // NOSONAR, Random für Farbwert...
  }

  @Override
  public DefaultCustomData createCustomData() {
    return new NlGruppeCustomData();
  }
}
